POST api/MEQuestionnairePrice/PostMEQuestionnairePrice
Request Information
URI Parameters
None.
Body Parameters
MEQuestionnairePriceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ExamId | string |
String length: inclusive between 0 and 20 |
|
| Price | decimal number |
None. |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| Name | string |
String length: inclusive between 0 and 200 |
|
| Todaydate | date |
None. |
|
| Status | integer |
None. |
|
| IsFutureRecord | boolean |
None. |
|
| QuestionnairePriceId | integer |
None. |
|
| Note | string |
String length: inclusive between 0 and 500 |
|
| CreatedUserFirstName | string |
None. |
|
| CreatedUserLastName | string |
String length: inclusive between 0 and 8000 |
|
| CreatedUser | string |
String length: inclusive between 0 and 8000 |
|
| CreatedDate | date |
None. |
|
| LastModifiedUserFirstName | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedUseLastName | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedUser | string |
String length: inclusive between 0 and 8000 |
|
| LastModifiedDate | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ExamId": "sample string 2",
"Price": 1.0,
"StartDate": "2026-08-04T14:26:14.8136502-07:00",
"EndDate": "2026-08-04T14:26:14.8136502-07:00",
"Name": "sample string 3",
"Todaydate": "2026-08-04T14:26:14.8136502-07:00",
"Status": 4,
"IsFutureRecord": true,
"QuestionnairePriceId": 1,
"Note": "sample string 6",
"CreatedUserFirstName": "sample string 7",
"CreatedUserLastName": "sample string 8",
"CreatedUser": "sample string 7 sample string 8",
"CreatedDate": "2026-08-04T14:26:14.8136502-07:00",
"LastModifiedUserFirstName": "sample string 9",
"LastModifiedUseLastName": "sample string 10",
"LastModifiedUser": "sample string 9 sample string 10",
"LastModifiedDate": "2026-08-04T14:26:14.8136502-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:14.8136502-07:00",
"DateUpdated": "2026-08-04T14:26:14.8136502-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfMEQuestionnairePriceDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MEQuestionnairePriceDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ExamId": "sample string 2",
"Price": 1.0,
"StartDate": "2026-08-04T14:26:14.8136502-07:00",
"EndDate": "2026-08-04T14:26:14.8136502-07:00",
"Name": "sample string 3",
"Todaydate": "2026-08-04T14:26:14.8136502-07:00",
"Status": 4,
"IsFutureRecord": true,
"QuestionnairePriceId": 1,
"Note": "sample string 6",
"CreatedUserFirstName": "sample string 7",
"CreatedUserLastName": "sample string 8",
"CreatedUser": "sample string 7 sample string 8",
"CreatedDate": "2026-08-04T14:26:14.8136502-07:00",
"LastModifiedUserFirstName": "sample string 9",
"LastModifiedUseLastName": "sample string 10",
"LastModifiedUser": "sample string 9 sample string 10",
"LastModifiedDate": "2026-08-04T14:26:14.8136502-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:14.8136502-07:00",
"DateUpdated": "2026-08-04T14:26:14.8136502-07:00",
"UserIDCreated": 14,
"UserIDUpdated": 15
},
"totalCount": 3
}